Media Temple Software Versions


  • Applies to: Managed WordPress
    • Difficulty: n/a
    • Time Needed: n/a
    • Tools Required: n/a
  • Applies to: Shared Hosting
    • Difficulty: n/a
    • Time Needed: n/a
    • Tools Required: n/a
    • Applies to: Grid
      • Difficulty: n/a
      • Time Needed: n/a
      • Tools Required: n/a
    • Applies to: (dv) 4.0
      • Difficulty: n/a
      • Time Needed: n/a
      • Tools Required: n/a
    • Applies to: DV
      • Difficulty: n/a
      • Time Needed: n/a
      • Tools Required: n/a
    • Applies to: DV Developer
      • Difficulty: n/a
      • Time Needed: n/a
      • Tools Required: n/a

Last Updated: Jan 06, 2021

Overview

This article contains a list of some of the key software versions on (mt) Media Temple's core hosting products.

IMPORTANT NOTE:
We will do our best to keep this up to date; however, as technology evolves rapidly, this is meant to be a general reference. You should check your actual server for absolute certainty or you can visit our website at https://mediatemple.net/webhosting. The commands to run are shown below each component.

Managed WordPress

  • Operating System: CentOS 6.6
    • Command to run: cat /etc/issue
  • Apache: 2.4.3
  • MySQL: 5.6.33
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: 5.6
    • Command to run: php -v

Shared Hosting

  • Operating System: Red Hat: 4.4.7
  • Apache: 2.4.33
  • MySQL: 5.6.47
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: 7.3
    • Command to run: php -v

Grid Personal, Pro, & Elite

  • Operating System: Debian GNU/Linux 8
    • Command to run: cat /etc/issue
  • Apache: 2.4.39
    • Command to run: /usr/sbin/apache2 -V
  • MySQL: 5.6.25
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP
    • On the Grid, we currently offer PHP version: 7.3.11
    • There may be instances were older versions of PHP that have reached End of Life (EOL) will be offered temporarily. However, it is recommended that users upgrade to a newer version as soon as possible to ensure the long term health of their site.
    • You can select the version of PHP per-domain in the (mt) AccountCenter. For further instructions, click here.
    • Command to run: php -v

(gs) Grid Service & Grid Lite

  • Operating System: Debian Wheezy 
    • Command to run: cat /etc/issue
  • Apache: 2.2.22
    • Command to run: /usr/sbin/apache2 -V
  • MySQL: 5.6
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP
    • On the Grid, we currently offer PHP version: 7.3.11
    • There may be instances were older versions of PHP that have reached End of Life (EOL) will be offered temporarily. However, it is recommended that users upgrade to a newer version as soon as possible to ensure the long term health of their site.
    • You can select the version of PHP per-domain in the (mt) AccountCenter. For further instructions, click here.
    • Command to run: php -v

DV CentOS 7

  • Admin Panel: Choice of Parallels Plesk or cPanel & WHM
  • Operating System: CentOS 7
    • Command to run: cat /etc/issue
  • Apache: 2.4.16
    • Command to run: httpd -v
  • MariaDB: 5.5.30 (Plesk), MySQL: 5.7.27 (cPanel)
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: 5.4.16
    • Command to run: php -v

DV CentOS 6

  • Admin Panel: Choice of Parallels Plesk or cPanel & WHM
  • Operating System: CentOS 6
    • Command to run: cat /etc/issue
  • Apache: 2.2.27
    • Command to run: httpd -v
  • MySQL: 5.1.73 (Plesk), MySQL: 5.5 (cPanel)
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: 5.4.28
    • Command to run: php -v

DV server 4.0

  • Operating System: CentOS 5.7
    • Command to run: cat /etc/issue
  • Apache: 2.2.3
    • Command to run: httpd -v
  • MySQL: 5.1.54
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: 5.3.5
    • Command to run: php -v

(ve) Server

DV Developer

    • Operating System: The (ve)DV Developer offers several OS options.

NOTE:

The (ve) Server will automatically update to a DV Developer server if reinstalled with a newer operating system.

    • Ubuntu (three versions)
      • 14.04 - LTS Trusty Tahr
      • 12.04 - LTS Precise Pangolin        
      • 10.04 - LTS Lucid Lynx
    • Fedora (two versions) 
      • Fedora 20
      • Fedora 19
    • Debian (two versions)
      • 7.0 - Wheezy
      • 6.0 - Squeeze
    • CentOS (two versions) 
      • CentOS 7
      • CentOS 6
  • Apache: Not installed by default. Install whatever version you wish.
    • Command to run: Depends on your install method
  • MySQL: Not installed by default. Install whatever version you wish.
    • Log into MySQL
    • Run select @@version;
    • Command to run (for the client version): mysql -V
  • PHP: Not installed by default. Install whatever version you wish.
    • Command to run: php -v